<?php
/**
 * Created by PhpStorm.
 * User: joseortiz
 * Date: 8/5/18
 * Time: 10:00 p.m.
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idUsuario']) && isset($_REQUEST['tipo_usuario'])) {
            $tipo_usuario = $_REQUEST['tipo_usuario'];
            $idusuario = $_REQUEST['idUsuario'];
            $usuario = R::load('usuario', $idusuario);
            $usuario->fechaModificacion = date('Y-m-d H:i:s');
            $usuario->tipo_usuario = $tipo_usuario;
            $id = R::store($usuario);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}